#!/bin/sh

#This program will check if the wipper can move and if it can stop when telling it to stop using visca commands.

echo -ne "Content-Type: text/plain\r\n"
echo -ne "\r\n" # end of HTTP header

#Check lens profile name (Wonwoo or SONY)
echo '====================LENS PROFILE===================='
module_version=$(cat /var/run/peripheral_profile)
echo $module_version

echo "\n"
echo '====================MCU SYS STATUS====================\n'

#Get MCU system status
module_status=$(lensctrl -c81090604FF,7)
echo $module_status

echo "\n"
echo '===============Wipper move continuously==============='
#Wipper move command
wipper_move=$(lensctrl -c8101060A010400FF)
echo $wipper_move
#Run for one minute
sleep 60

echo "\n"
echo '=================Wipper move stopped================='
#Wipper stop command
wipper_stop=$(lensctrl -c8101060A010500FF)
echo $wipper_stop

echo "\n"
echo '==================Wipper move once==================='

#Wiper move one time
wipper_once=$(lensctrl -c8101060A010100FF)
echo $wipper_once

#Save each variable in a new file for download
echo '=====================LENS PROFILE=====================' > ../www/files/wipper_analysis.txt
echo $module_version >> ../www/files/wipper_analysis.txt

echo '====================MCU SYS STATUS====================\n' >> ../www/files/wipper_analysis.txt
echo $module_status >> ../www/files/wipper_analysis.txt

echo '===============Wipper move continuously===============\n' >> ../www/files/wipper_analysis.txt
echo $wipper_move >> ../www/files/wipper_analysis.txt

echo '=================Wipper move stopped==================\n' >> ../www/files/wipper_analysis.txt
echo $wipper_stop >> ../www/files/wipper_analysis.txt

echo '==================Wipper move once====================\n' >> ../www/files/wipper_analysis.txt
echo $wipper_once >> ../www/files/wipper_analysis.txt


